# pandas.read_feather

pandas.read_feather(path, columns=None, use_threads=True, storage_options=None)

  Load a feather-format object from the file path.

  Parameters
    path str, path object or file-like object

      Any valid string path is acceptable. The string could be a URL. Valid URL schemes include http, ftp, s3, and file. For file URLs, a host is expected. A local file could be: `file://localhost/path/to/table.feather`.

      If you want to pass in a path object, pandas accepts any `os.PathLike`.

      By file-like object, we refer to objects with a `read()` method, such as a file handle (e.g. via builtin `open` function) or `StringIO`.

    columns sequence, default None

      If not provided, all columns are read.

    use_threads bool, default True

      Whether to parallelize reading using multiple threads.

    storage_options dict, optional

      Extra options that make sense for a particular storage connection, e.g. host, port, username, password, etc. For HTTP(S) URLs the key-value pairs are forwarded to `urllib` as header options. For other URLs (e.g. starting with “s3://”, and “gcs://”) the key-value pairs are forwarded to `fsspec`. Please see `fsspec` and `urllib` for more details.

      New in version 1.2.0.

  Returns
    type of object stored in file